## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# This package should be updated together with python-hdmf to ensure
# compatibility. Note that it currently depends on an exact version of this
# package.

Name:           hdmf-common-schema
Version:        1.8.0
Epoch:          1
Release:        %autorelease
Summary:        Specifications for pre-defined data structures provided by HDMF

License:        BSD-3-Clause-LBNL
URL:            https://github.com/hdmf-dev/hdmf-common-schema
Source:         %{url}/archive/%{version}/hdmf-common-schema-%{version}.tar.gz

BuildArch:      noarch

%description
The HDMF Common specification defines a collection of common, reusable data
structures that build the foundation for the modeling of advanced data formats,
e.g., the Neurodata Without Borders (NWB) (https://www.nwb.org/)
neurophysiology data standard. The HDMF Common schema is integrated with HDMF
(https://github.com/hdmf-dev/hdmf), which provides advanced APIs for reading,
writing, and using HDMF-common data types.


%prep
%autosetup


# We could build and install the associated documentation, but we would have to
# package python-hdmf-docutils to do so.
#
# Note that we would need to build PDF documentation, as Sphinx-generated HTML
# documentation is not suitable for packaging; see
# https://bugzilla.redhat.com/show_bug.cgi?id=2006555, the linked devel mailing
# list thread, and https://pagure.io/packaging-committee/pull-request/1244, for
# discussion.
#
# Overall, it doesn’t seem worthwhile.
#
# If we are not building documentation, then there is nothing to build.


%install
# There is no build-system script or standard install location for the schemas.
install -d '%{buildroot}%{_datadir}/hdmf-common-schema'
cp -rp 'common/' '%{buildroot}%{_datadir}/hdmf-common-schema/'


%files
%license license.txt Legal.txt
%doc README.md

%dir %{_datadir}/hdmf-common-schema/
%dir %{_datadir}/hdmf-common-schema/common/
%{_datadir}/hdmf-common-schema/common/*.yaml


%changelog
## START: Generated by rpmautospec
* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:1.8.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:1.8.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Aug 23 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1:1.8.0-1
- Update to 1.8.0 (close RHBZ#2231082)

* Thu Aug 10 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 1:1.7.0-5
- feat: add packit conf

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1:1.7.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jul 13 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1:1.7.0-3
- Bump the release number again (sigh)

* Thu Jul 13 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1:1.7.0-2
- Add a base release number for now

* Thu Jul 13 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1:1.7.0-1
- Update to 1.7.0 (close RHBZ#2217118)

* Tue Jul 04 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1:1.6.0-2
- Add a base release number with the Epoch

* Tue Jul 04 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1:1.6.0-1
- Revert "Update to 1.7.0 (close RHBZ#2217118)"
- Introduce an Epoch

* Tue Jun 27 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.7.0-1
- Update to 1.7.0 (close RHBZ#2217118)

* Mon May 22 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.6.0-1
- Initial package (close RHBZ#2203862)
## END: Generated by rpmautospec
